local vec2 = require("#microsoft.xna.framework.vector2")

function onBegin()
  makeUnskippable()
  disableRetry()
  disableMovement()

  say("dashless_ending7")
  wait(0.5)
  walk(-50)
  wait(1)
  jump(0.017)

  while player.Speed.Y > 0 do
    log("test")
    player.Speed = vec2(64, player.Speed.Y)
    player.Ducking = true
    wait()
  end

  enableMovement()
  enableRetry()
  endCutscene()
end